# get_identifiers_recursively function

(Shortest import: `from brian2.codegen.translation import get_identifiers_recursively)`

brian2.codegen.translation.get_identifiers_recursively(expressions, variables, include_numbers=False)

  Gets all the identifiers in a list of expressions, recursing down into subexpressions.

  Parameters:

    expressions : list of str

    > List of expressions to check.

    variables : dict-like

    > Dictionary of `Variable` objects

    include_numbers : bool, optional

    > Whether to include number literals in the output. Defaults to `False`.